Get event by ID
curl --request GET \
--url https://perps.yield.xyz/v1/events/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://perps.yield.xyz/v1/events/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://perps.yield.xyz/v1/events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://perps.yield.xyz/v1/events/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://perps.yield.xyz/v1/events/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://perps.yield.xyz/v1/events/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://perps.yield.xyz/v1/events/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventType": "order_filled",
"providerId": "hyperliquid",
"occurredAt": "2023-11-07T05:31:56Z",
"order": {
"orderId": "394438950581",
"marketId": "hyperliquid-eth-usdc",
"asset": "ETH",
"side": "buy",
"type": "market",
"originalSizeBase": "0.0063",
"remainingSizeBase": "0.0",
"reduceOnly": false,
"isPositionLevel": false,
"clientOrderId": null,
"childOrderIds": [],
"createdAt": "2026-04-23T07:52:05.187Z",
"limitPrice": 2395.2,
"timeInForce": "ioc",
"triggerPrice": 2500,
"closedPnl": "-12.45",
"fillPrice": 2500.5
},
"marketId": "<string>",
"perpActionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"providerOrderId": "<string>",
"explorerUrl": "https://app.hyperliquid.xyz/explorer/tx/0x8a3fb2c1d4e5f67890abcdef12345678901234567890abcdef1234567890abcd"
}{
"statusCode": 401,
"timestamp": "2026-05-04T12:00:00.000Z",
"path": "/v1/actions",
"message": "Invalid API key",
"details": {
"message": "Invalid API key",
"code": "AUTH_INVALID_API_KEY"
}
}{
"statusCode": 429,
"timestamp": "2026-05-04T12:00:00.000Z",
"path": "/v1/actions",
"message": "Rate limit exceeded",
"details": {
"message": "Rate limit exceeded",
"code": "RATE_LIMIT_EXCEEDED",
"error": "Too Many Requests",
"retryAfter": 30
}
}Activity
Get an event
Get one venue event by ID.
GET
/
v1
/
events
/
{id}
Get event by ID
curl --request GET \
--url https://perps.yield.xyz/v1/events/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://perps.yield.xyz/v1/events/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://perps.yield.xyz/v1/events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://perps.yield.xyz/v1/events/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://perps.yield.xyz/v1/events/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://perps.yield.xyz/v1/events/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://perps.yield.xyz/v1/events/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventType": "order_filled",
"providerId": "hyperliquid",
"occurredAt": "2023-11-07T05:31:56Z",
"order": {
"orderId": "394438950581",
"marketId": "hyperliquid-eth-usdc",
"asset": "ETH",
"side": "buy",
"type": "market",
"originalSizeBase": "0.0063",
"remainingSizeBase": "0.0",
"reduceOnly": false,
"isPositionLevel": false,
"clientOrderId": null,
"childOrderIds": [],
"createdAt": "2026-04-23T07:52:05.187Z",
"limitPrice": 2395.2,
"timeInForce": "ioc",
"triggerPrice": 2500,
"closedPnl": "-12.45",
"fillPrice": 2500.5
},
"marketId": "<string>",
"perpActionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"providerOrderId": "<string>",
"explorerUrl": "https://app.hyperliquid.xyz/explorer/tx/0x8a3fb2c1d4e5f67890abcdef12345678901234567890abcdef1234567890abcd"
}{
"statusCode": 401,
"timestamp": "2026-05-04T12:00:00.000Z",
"path": "/v1/actions",
"message": "Invalid API key",
"details": {
"message": "Invalid API key",
"code": "AUTH_INVALID_API_KEY"
}
}{
"statusCode": 429,
"timestamp": "2026-05-04T12:00:00.000Z",
"path": "/v1/actions",
"message": "Rate limit exceeded",
"details": {
"message": "Rate limit exceeded",
"code": "RATE_LIMIT_EXCEEDED",
"error": "Too Many Requests",
"retryAfter": 30
}
}id is the event UUID from List events or Get activity. Events outside the calling project return 404.Authorizations
Path Parameters
The unique identifier of the event (UUID)
Example:
"550e8400-e29b-41d4-a716-446655440000"
Response
Event details retrieved successfully
Available options:
order_filled, liquidation, stop_loss_triggered, take_profit_triggered Example:
"hyperliquid"
Normalized order details for the venue event
Show child attributes
Show child attributes
Linked action; null for liquidations
Venue order identifier (e.g. Hyperliquid oid)
Block explorer URL for the settlement transaction
Example:
"https://app.hyperliquid.xyz/explorer/tx/0x8a3fb2c1d4e5f67890abcdef12345678901234567890abcdef1234567890abcd"
⌘I

